## kmod 34.2

=== debian/changelog ===
kmod (34.2-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2112019). Remaining changes:
    - d/rules, d/modprobe.d, d/depmod.d:
      Install ubuntu-specific depmod.d & modprobe.d contents
    - Allow loading big compressed modules (LP #2032674)
      + debian/patches/0006-libkmod-support-large-compressed-modules.patch

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 11 Jun 2025 11:47:39 +0200

kmod (34.2-2) unstable; urgency=medium

  * kmod.initramfs-hook: if compressed modules have been copied to the
    initramfs and CONFIG_MODULE_DECOMPRESS=n (which is not the default
    in Debian kernels) then also copy the compression libraries needed
    by kmod to load them. (Closes: #1099801)

 -- Marco d'Itri <md@linux.it>  Fri, 25 Apr 2025 11:50:41 +0200

kmod (34.2-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 30 Mar 2025 03:59:19 +0200
