=== debian/watch ===
version=4
https://www.kernel.org/pub/linux/utils/kernel/kmod/kmod-([\d\.]+)\.tar\.xz
